diff --git a/src/backend/catalog/objectaddress.c b/src/backend/catalog/objectaddress.c
index 8ccc171..7f73fc0 100644
--- a/src/backend/catalog/objectaddress.c
+++ b/src/backend/catalog/objectaddress.c
@@ -1578,8 +1578,8 @@ get_object_address_opf_member(ObjectType objtype,
 	ObjectAddress address;
 	ListCell   *cell;
 	List	   *copy;
-	TypeName   *typenames[2];
-	Oid			typeoids[2];
+	TypeName   *typenames[2] = { NULL, NULL };
+	Oid			typeoids[2] = { InvalidOid, InvalidOid };
 	int			membernum;
 	int			i;
 
@@ -1607,6 +1607,9 @@ get_object_address_opf_member(ObjectType objtype,
 			break;
 	}
 
+	Assert(typenames[0] != NULL && typenames[1] != NULL);
+	Assert(typeoids[0] != InvalidOid && typeoids[1] != InvalidOid);
+
 	switch (objtype)
 	{
 		case OBJECT_AMOP:
